## WebKitDOMHTMLOListElement WebKitDOMHTMLOListElement |

## Functions

gboolean | webkit_dom_html_o_list_element_get_compact ()
void | webkit_dom_html_o_list_element_set_compact ()
glong | webkit_dom_html_o_list_element_get_start ()
void | webkit_dom_html_o_list_element_set_start ()
gchar * | webkit_dom_html_o_list_element_get_type_attr ()
void | webkit_dom_html_o_list_element_set_type_attr ()

## Properties

gboolean | compact | Read / Write
gboolean | reversed | Read / Write
glong | start | Read / Write
gchar * | type | Read / Write

## Types and Values

| WebKitDOMHTMLOListElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLOListElement

## Implemented Interfaces

WebKitDOMHTMLOListElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_o_list_element_get_compact ()

    gboolean
    webkit_dom_html_o_list_element_get_compact
                                   (WebKitDOMHTMLOListElement *self);

#### Parameters

self | A WebKitDOMHTMLOListElement |

#### Returns

A gboolean

### webkit_dom_html_o_list_element_set_compact ()

    void
    webkit_dom_html_o_list_element_set_compact
                                   (WebKitDOMHTMLOListElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLOListElement |
value | A gboolean |

### webkit_dom_html_o_list_element_get_start ()

    glong
    webkit_dom_html_o_list_element_get_start
                                   (WebKitDOMHTMLOListElement *self);

#### Parameters

self | A WebKitDOMHTMLOListElement |

#### Returns

A glong

### webkit_dom_html_o_list_element_set_start ()

    void
    webkit_dom_html_o_list_element_set_start
                                   (WebKitDOMHTMLOListElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLOListElement |
value | A glong |

### webkit_dom_html_o_list_element_get_type_attr ()

    gchar *
    webkit_dom_html_o_list_element_get_type_attr
                                   (WebKitDOMHTMLOListElement *self);

#### Parameters

self | A WebKitDOMHTMLOListElement |

#### Returns

A gchar

### webkit_dom_html_o_list_element_set_type_attr ()

    void
    webkit_dom_html_o_list_element_set_type_attr
                                   (WebKitDOMHTMLOListElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLOListElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLOListElement

    typedef struct _WebKitDOMHTMLOListElement WebKitDOMHTMLOListElement;

## Property Details

### The `“compact”` property

      “compact”                  gboolean

read-write gboolean HTMLOListElement:compact.

Flags: Read / Write

Default value: FALSE

### The `“reversed”` property

      “reversed”                 gboolean

read-write gboolean HTMLOListElement:reversed.

Flags: Read / Write

Default value: FALSE

### The `“start”` property

      “start”                    glong

read-write glong HTMLOListElement:start.

Flags: Read / Write

Default value: 0

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLOListElement:type.

Flags: Read / Write

Default value: ""